FOREIGN_AIPS2_RUN(3)

EXPERIMENTAL_FUNC
foreign_aips2_run - Fork and execute a programme.

SYNOPSIS
#include <karma_foreign.h>

pid_t foreign_aips2_run

(CONST char *filename, int stdout_fd, int close_fd, int *waitflags)

DESCRIPTION
Fork and execute a programme.

filename
    The input filename for the programme.

stdout_fd
    The output file descriptor.

close_fd
    The file descriptor to close.

waitflags
    Special flags to pass to waitpid(2) are written here.

RETURN VALUE
The child process ID on success, else -1.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/